extends Node2D

var info = Engine.get_version_info()
var version = "%s.%s.%s.%s" % [info.major, info.minor, info.patch, info.status]
var gles = 2 if OS.get_current_video_driver() == OS.VIDEO_DRIVER_GLES2 else 3
var batching = ProjectSettings.get_setting("rendering/batching/options/use_batching")
var header = "%s\nGLES%s\nBatching %s\n" % [version, gles, "On" if batching else "Off"]

func _draw():
	for i in 200:
		draw_circle(Vector2(0, 0), 4.0, Color(1,0,0))
		draw_arc(Vector2(0,0), 4.0, 0, 7, 32, Color(0,0,0), 1.0, false)

func _process(_delta):
	var fps = Engine.get_frames_per_second()
	$Label.set_text(header + "%s (%.1f mspf)" % [fps, 1000.0 / fps])
